Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.hw.verilog
Class S3Engine

    java.lang.Object
      rdlc.hw.verilog.S3Engine

All Implemented Interfaces:
  Engine

    public class S3Engine

extends java.lang.Object
implements Engine

This is the generator for the S3 engine.

Version:
  $Revision: 1.8 $
Author:
  Greg Gibeling

Field Summary
`protected ModuleWireGroup` | `extWires` The external wire group.
`protected Library` | `library` The current hardware library.

Constructor Summary
`S3Engine(java.lang.Boolean _accurateSim, Log errorLog)` Blank constructor

Method Summary
`boolean` | `generate(Library _library)` Generate the wire groups and modules required for this engine.
`ModuleWireGroup` | `getExternalWires()` Simple accessor.
`ModuleInstance_Indirect` | `getInstance()` Simple accessor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### extWires

    protected ModuleWireGroup extWires

  The external wire group.

### library

    protected Library library

  The current hardware library.

Constructor Detail

### S3Engine

    public S3Engine(java.lang.Boolean _accurateSim,
                    Log errorLog)

  Blank constructor

Method Detail

### generate

    public boolean generate(Library _library)

  Description copied from interface: `Engine`
  Generate the wire groups and modules required for this engine. Notice that they are merely generated and stored, not returned.

  Specified by:
    `generate` in interface `Engine`
  Parameters:
    `_library` - The current library from which to draw parts.
  Returns:
    `true` if successful.
  See Also:
    `Engine.generate(Library)`

### getExternalWires

    public ModuleWireGroup getExternalWires()

  Description copied from interface: `Engine`
  Simple accessor.

  Specified by:
    `getExternalWires` in interface `Engine`
  Returns:
    The external (top level) wires required by this engine.
  See Also:
    `Engine.getExternalWires()`

### getInstance

    public ModuleInstance_Indirect getInstance()

  Description copied from interface: `Engine`
  Simple accessor. Notice that an instance is returned so that defparams and simple I/O logic may be used, rather than merely instantiating a module blind.

  Specified by:
    `getInstance` in interface `Engine`
  Returns:
    An instance of the engine module suitable for use in the top level file.
  See Also:
    `Engine.getInstance()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD